<div class="row mb-2">
  <div class="col">
    <div class="row mb-3 h1 justify-content-between align-items-center text-secondary-dark">
      <div class="col-auto">
    		<span class="display-3 fw-bold"i18n="title@@images">Images</span>
      </div>
      <div class="col d-flex justify-content-end">
    		<button [appHelpPopup]="ssHelpTpl" class="btn btn-secondary btn-sm rounded-circle pet-glow-dark-btn-sm-rev">
    			<fa-icon [icon]="iconHelp" class="light-help-svg fa-lg"></fa-icon>
    		</button>
    	</div>
    </div>
	<div>
		<form [formGroup]="imagesForm" (ngSubmit)="onSubmit()">
			<div class="row p-2 form-group justify-content-around">
				
				<div class="d-flex flex-column col-3 px-1 px-sm-2">
					<img class="img-fluid border border-secondary-dark pet-glow-secondary rounded"
						src="{{ this.imgsSrc.frontImg }}" alt="front image"/>
					<input type="file" class="d-none" id="frontImg" accept="image/*"
						(change)="onImgSelect($event, 'frontImg')"/>
					<label class="mt-1 btn btn-block btn-sm btn-primary-dark pet-choose-btn pet-glow-dark-btn-sm"
						for="frontImg" i18n="btn@@choose">Choose</label>
				</div>

				<div class="d-flex flex-column col-3 px-1 px-sm-2">
					<img class="img-fluid border border-secondary-dark pet-glow-secondary rounded"
						src="{{ this.imgsSrc.backImg }}" alt="back image"/>
					<input type="file" class="d-none" id="backImg" accept="image/*"
						(change)="onImgSelect($event, 'backImg')"/>
					<label class="mt-1 btn btn-block btn-sm btn-primary-dark pet-choose-btn pet-glow-dark-btn-sm"
						for="backImg" i18n="btn@@choose">Choose</label>
				</div>

				<div class="d-flex flex-column col-3 px-1 px-sm-2">
					<img class="img-fluid border border-secondary-dark pet-glow-secondary rounded"
						src="{{ this.imgsSrc.detailsOneImg }}" alt="details_1 image"/>
					<input type="file" class="d-none" id="detailsOneImg" accept="image/*"
						(change)="onImgSelect($event, 'detailsOneImg')"/>
					<label class="mt-1 btn btn-block btn-sm btn-primary-dark pet-choose-btn pet-glow-dark-btn-sm" 
						for="detailsOneImg" i18n="btn@@choose">Choose</label>
				</div>

				<div class="d-flex flex-column col-3 px-1 px-sm-2">
					<img class="img-fluid border border-secondary-dark pet-glow-secondary rounded"
						src="{{ this.imgsSrc.detailsTwoImg }}" alt="details_2 image"/>
					<input type="file" class="d-none" id="detailsTwoImg" accept="image/*"
						(change)="onImgSelect($event, 'detailsTwoImg')"/>
					<label class="mt-1 btn btn-block btn-sm btn-primary-dark pet-choose-btn pet-glow-dark-btn-sm"
						for="detailsTwoImg" i18n="btn@@choose">Choose</label>
				</div>

			</div>

      <div class="row mt-5">
        <div class="col d-flex justify-content-center">
   				<button type="submit"
    					class="btn btn-lg btn-primary-dark pet-btn-big border-primary-fluo pet-glow-dark-btn"
    					i18n="btn@@submit">Submit</button>
        </div>
    		<div class="col d-flex justify-content-center">
  				<a [routerLink]="['/product', 'view']" [queryParams]="{id: id}"
  					[state]="{id: id}"
  					class="btn btn-lg btn-danger pet-btn-big pet-nav-button border-danger pet-glow-dark-btn"
  					i18n="btn@@cancel">Cancel</a>
    		</div>
      </div>
      
		</form>
	</div>
</div>

<ng-template #ssHelpTpl>
<div class="pet-help-panel pet-glow-info">
	<div class="card-header">
		<p class="card-text">
			<b i18n="help|@@ssHelpHeader">Come inserire le immagini</b>
		</p>
	</div>
	<div class="card-body h-100 overflow-auto">
		<p class="card-text" i18n="help|@@ssHelpBody">
			Inserire da 1 a 4 immagini del prodotto <br> - La prima immagine
			deve mostrare frontalmente il prodotto consentendo la lettura dei
			dati identificativi immessi nella fase precedente<br> - La
			seconda immagine deve presentare <b>IN MANIERA LEGGIBILE</b> la lista
			degli ingredienti e, se possibile,<br> anche quelle dei
			componenti analitici e degli additivi<br> - Le due immagini
			ulteriori possono essere utilizzate nel caso nelle precedenti non
			fosse stato possibile includere una o più informazioni<br>
		</p>
	</div>
</div>
</ng-template>
